org.icefaces.ace.component.fileentry

## Enum FileEntryBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<FileEntryBase.PropertyKeys>
  - - org.icefaces.ace.component.fileentry.FileEntryBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FileEntryBase.PropertyKeys>
  Enclosing class:
    FileEntryBase

      protected static enum FileEntryBase.PropertyKeys
      extends java.lang.Enum<FileEntryBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `absolutePath`
    `accesskey`
    `autoUpload`
    `disabled`
    `fileEntryListener`
    `immediate`
    `immediateValidation`
    `label`
    `maxFileCount`
    `maxFileCountMessage`
    `maxFileSize`
    `maxFileSizeMessage`
    `maxTotalSize`
    `maxTotalSizeMessage`
    `messagePersistence`
    `multiple`
    `relativePath`
    `required`
    `requiredMessage`
    `results`
    `size`
    `style`
    `styleClass`
    `tabindex`
    `useOriginalFilename`
    `useSessionSubdir`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static FileEntryBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FileEntryBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### absolutePath

          public static final FileEntryBase.PropertyKeys absolutePath

    - #### accesskey

          public static final FileEntryBase.PropertyKeys accesskey

    - #### autoUpload

          public static final FileEntryBase.PropertyKeys autoUpload

    - #### disabled

          public static final FileEntryBase.PropertyKeys disabled

    - #### fileEntryListener

          public static final FileEntryBase.PropertyKeys fileEntryListener

    - #### immediate

          public static final FileEntryBase.PropertyKeys immediate

    - #### immediateValidation

          public static final FileEntryBase.PropertyKeys immediateValidation

    - #### label

          public static final FileEntryBase.PropertyKeys label

    - #### maxFileCount

          public static final FileEntryBase.PropertyKeys maxFileCount

    - #### maxFileCountMessage

          public static final FileEntryBase.PropertyKeys maxFileCountMessage

    - #### maxFileSize

          public static final FileEntryBase.PropertyKeys maxFileSize

    - #### maxFileSizeMessage

          public static final FileEntryBase.PropertyKeys maxFileSizeMessage

    - #### maxTotalSize

          public static final FileEntryBase.PropertyKeys maxTotalSize

    - #### maxTotalSizeMessage

          public static final FileEntryBase.PropertyKeys maxTotalSizeMessage

    - #### messagePersistence

          public static final FileEntryBase.PropertyKeys messagePersistence

    - #### multiple

          public static final FileEntryBase.PropertyKeys multiple

    - #### relativePath

          public static final FileEntryBase.PropertyKeys relativePath

    - #### required

          public static final FileEntryBase.PropertyKeys required

    - #### requiredMessage

          public static final FileEntryBase.PropertyKeys requiredMessage

    - #### results

          public static final FileEntryBase.PropertyKeys results

    - #### size

          public static final FileEntryBase.PropertyKeys size

    - #### style

          public static final FileEntryBase.PropertyKeys style

    - #### styleClass

          public static final FileEntryBase.PropertyKeys styleClass

    - #### tabindex

          public static final FileEntryBase.PropertyKeys tabindex

    - #### useOriginalFilename

          public static final FileEntryBase.PropertyKeys useOriginalFilename

    - #### useSessionSubdir

          public static final FileEntryBase.PropertyKeys useSessionSubdir

  - ### Method Detail

    - #### values

          public static FileEntryBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileEntryBase.PropertyKeys c : FileEntryBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileEntryBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<FileEntryBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.